GETUID(P)

NAME
getuid - get a real user ID

SYNOPSIS

#include <unistd.h>

uid_t getuid(void);

DESCRIPTION

The getuid() function shall return the real user ID of the calling process.

RETURN VALUE

The getuid() function shall always be successful and no return value is reserved to indicate the error.

ERRORS

No errors are defined.

The following sections are informative.

EXAMPLES

  Setting the Effective User ID to the Real User ID

The following example sets the effective user ID and the real user ID of the current process to the real user ID of the caller.

    #include <unistd.h>
    #include <sys/types.h>
    ...
    setreuid(getuid(), getuid());
    ...

APPLICATION USAGE

None.

RATIONALE

None.

FUTURE DIRECTIONS

None.

SEE ALSO

getegid() , geteuid() , getgid() , setegid() , seteuid() , setgid() , setregid() , setreuid() , setuid() , the Base Definitions volume of IEEE Std 1003.1-2001, <sys/types.h>, <unistd.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .